Docs Self-Service web console examples
|
Function |
REST Call URI example |
Description |
|---|---|---|
|
Get User Repositories |
GET https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l |
This example searches for and retrieves all of the repositories that are assigned to user1. |
|
Get a User Repository |
GET https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories/3451 Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l |
This example searches for and retrieves a specific repository that includes the repositoryId 3451. |
|
Create User-Defined Repository |
POST https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l HTTP Request body in JSON format:
|
This example creates the new repository "SalesPages" for the authorized user. |
|
Delete User-Defined Repository |
DELETE https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories/3451 Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l |
This example deletes the repository that includes the repositoryId 3451. |
|
Update User-Defined Repository |
POST https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories/3451 Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l HTTP Request body in a JSON format:
|
This example modifies the repository that includes the repositoryId 3451 to the new name "Marketing" and new location on the Microsoft SharePoint server. |